Package Details: prepros-bin 7.3.12-1

Git Clone URL: https://aur.archlinux.org/prepros-bin.git (read-only, click to copy)
Package Base: prepros-bin
Description: Compile Sass, Less, Jade and much more with live browser refresh.
Upstream URL: https://prepros.io
Keywords: babel compiler development sass scss webdesign
Licenses: custom:"Copyright (c) 2020 Prepros Ltd"
Submitter: arustler
Maintainer: thomhoess
Last Packager: thomhoess
Votes: 4
Popularity: 0.37
First Submitted: 2017-08-07 02:49
Last Updated: 2020-07-10 14:38

Dependencies (40)

Required by (0)

Sources (1)

Latest Comments

1 2 Next › Last »

thomhoess commented on 2020-07-10 14:44

Updated to 7.3.12 (latest)

Astrosofia commented on 2020-05-06 18:57

Yheee great! I will test asap :) thanks!

thomhoess commented on 2020-05-06 18:56

Should be working again, I'll try my best keeping this up to date, I'm using Prepros on a regular basis.

jcit commented on 2020-03-24 14:53

Here's an updated PKGBUILD for 7.2.14, hopefully this won't break as I've swapped out the download URL for a static one

# Maintainer: Martin Mariano <contato@martinmariano.com>
# Contributor: Prepros <hi@prepros.io>

pkgname=prepros-bin
pkgver=7.2.14
pkgrel=1
pkgdesc="Compile Sass, Less, Jade and much more with live browser refresh."
arch=('x86_64')
url="https://prepros.io"
license=('custom:"Copyright (c) 2020 Prepros Ltd"')

depends=('alsa-lib' 'atk' 'cairo' 'dbus' 'desktop-file-utils' 'electron' 'expat' 'fontconfig' 'freetype2' 'gconf' 'gdk-pixbuf2' 'glib2' 'gtk2' 'gvfs' 'hicolor-icon-theme' 'libcap' 'libcups' 'libgcrypt' 'libnotify' 'libsystemd' 'libudev0' 'libx11' 'libxcb' 'libxcomposite' 'libxcursor' >
optdepends=('libgnome-keyring'
            'lsb-release')
options=('!strip' '!emptydirs')

install=${pkgname}.install

source_x86_64=("https://downloads.prepros.io/v7/Prepros-7.2.14.deb")
sha512sums_x86_64=('7cc0680da80ec779f4fcd0a6c8136de3d18fa139c1fd4e6a703d2f642b03faf9680197d7a96bf5ccebf33aa6ece753db19bd98b0967db1b7a640087b77a9da94')

package(){

        # Extract package data
        tar xf data.tar.xz -C "${pkgdir}"

        install -D -m644 "${pkgdir}/usr/share/doc/prepros/copyright" "${pkgdir}/usr/share/licenses/${pkgname}/COPYRIGHT"

}

Astrosofia commented on 2020-03-15 10:56

How I can update sha512sum? I've sha512sums validation error..

mastizada commented on 2020-03-15 10:40

Updating the sha512sum for the latest version solved the issue with the installing.

reolat commented on 2019-12-12 10:36

I get the same error when manually downloading & installing the package from prepros.io...

(prepros:1948): Pango-ERROR **: 11:34:09.358: Harfbuzz version too old (1.4.2)

[1] 1948 trace trap (core dumped)

lukasv90 commented on 2019-08-23 13:34

I get the same error :/

Astrosofia commented on 2019-08-15 09:50

Segmentation fault (core dumped) only for me??

lukasv90 commented on 2019-04-11 06:36

awesome, thanks a lot!